[![en](https://img.shields.io/badge/lang-en-red.svg)](README.md)
[![de](https://img.shields.io/badge/lang-de-green.svg)](README.de.md)
[![ru](https://img.shields.io/badge/lang-ru-yellow.svg)](README.ru.md)

# ЦИКЛ - календарь для женщин

**13.10.2022 Версия 0.3.2*  
2002-2005 (c) Олег Гинц (altgo@users.sourceforge.net)  
2002-2005 (c) "CONERO lab", http://conero.lrn.ru  
2022 (c) Константин Л. Метлов (metlov@donfti.ru , metlov@fti.dn.ua)  

### Возможности программы:

*   по заданной продолжительности цикла или по набранной статистике за несколько периодов спрогнозировать дни начала менструаций
*   рассчитать дни "безопасного" секса, фертильный период и день овуляции
*   определить дату рождения ребенка
*   позволяет вести заметки
*   помогает контролировать прием противозачаточных гормональных таблеток

### Принцип работы.

Для определения фертильных дней использован _календарный метод_. По этому методу необходимо определить длительность как минимум шести последних циклов. От количества дней в самом длинном цикле отнимается 11, это будет последний фертильный день. От продолжительности самого короткого цикла вычитается 18, это будет первый фертильный день. Условно день овуляции определяется как середина фертильного периода. Точно определить день овуляции расчетным путем на основании только продолжительности цикла не представляется возможным. Более подробно с календарным методом можно ознакомиться здесь: [http://www.mama.ru/gynecolog/STA/st18.htm](http://www.mama.ru/gynecolog/STA/st18.htm)

Дата рождения ребенка определяется (как принято в акушерстве) 40 недель от начала последней менструации. Эта дата корректируется в зависимости от продолжительности цикла - вычитается или добавляется количество дней, насколько цикл отличается от 28 дней. Проверить работу программы можно здесь: [http://cir.msk.ru/sroki.shtml](http://cir.msk.ru/sroki.shtml)

### Как пользоваться программой.

Вам необходимо отмечать в календаре дни начала менструаций. Для этого на выбранной дате нажмите правую кнопку мышки, и появившемся меню выберете пункт "Начало цикла". Аналогичным образом отметку можно удалить. На основании длительности шести последних циклов программа рассчитает фертильный период (клетки светло-зеленого цвета). Ярко зеленым цветом выделяется предполагаемый день овуляции (середина фертильного периода). Розовый цвет - предполагаемая дата начала следующей менструации. Продолжительность цикла устанавливается в настройках программы. Здесь Вы можете задать длительность цикла непосредственно в днях, либо включить расчет по среднему. В таком случае программа использует среднюю продолжительность цикла за шесть последних периодов.

Чтобы определить предполагаемую дату рождения ребенка, необходимо последнее начало цикла пометить дополнительно как "Беременность".

В зависимости от Ваших целей вы можете включить отображение только дней "безопасного" секса или только фертильных дней.

Информацию по интересующей дате можно получить, щелкнув по ней левой кнопкой мышки.

Для удобства к любой дате можно добавить заметку, выбрав соответствующий пункт меню. Дата с заметкой помечается подчеркнутым шрифтом.

Необходимо отметить, что коэффициент неудач у календарного метода контрацепции около 10 процентов. Пользоваться таким методом могут женщины с достаточно регулярным менструальным циклом.

Если врач порекомендовал и подобрал для Вас гормональные противозачаточные средства, то программа поможет контролировать их прием. Внимательно ознакомьтесь с инструкцией, прилагаемой к выбранному препарату. Упаковка может содержать 21 таблетку - схема приема 21 день по одной таблетке, затем 7 дней перерыв, либо 28 таблеток - в таком случае таблетки принимаются по одной без перерыва все 28 дней. В программе отмечается только день приема каждой 1-ой таблетки упаковки.

### Условия распространения.

Программа Cycle распространяется под лицензией **GNU General Public License**, без каких либо гарантий (см. файл COPYRIGHT). Автор не несет никакой ответственности за последствия использования этой программы.
